(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2005-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_t ppf = function
  | Layout.Permutation i_u_t ->
    Format.fprintf ppf "@[<1>%s@ " "Permutation";
    Ulist1_print.print_t Lib_print.print_quoted_int ppf i_u_t;
    Format.fprintf ppf "%,@]"
  | Layout.C -> Format.fprintf ppf "%s" "C"
  | Layout.F -> Format.fprintf ppf "%s" "F"
;;

(* End of ocamlprintc.bin generated code *)
